# Class AwtTreeNode

java.lang.Object
javax.swing.tree.DefaultMutableTreeNode
jspecview.application.AwtTreeNode

All Implemented Interfaces:
  `Serializable, Cloneable, MutableTreeNode, TreeNode, JSVTreeNode`

public class AwtTreeNode extends DefaultMutableTreeNode implements JSVTreeNode

See Also:
  - Serialized Form

## Field Summary

Fields
Modifier and Type
Field
Description
`int`
`index`
`PanelNode`
`panelNode`

### Fields inherited from class DefaultMutableTreeNode

`allowsChildren, children, EMPTY_ENUMERATION, parent, userObject`

## Constructor Summary

Constructors
Constructor
Description
`AwtTreeNode(String text, PanelNode panelNode)`

## Method Summary

Modifier and Type
Method
Description
`int`
`getIndex()`
`PanelNode`
`getPanelNode()`
`void`
`setIndex(int index)`

### Methods inherited from class DefaultMutableTreeNode

`add, breadthFirstEnumeration, children, clone, depthFirstEnumeration, getAllowsChildren, getChildAfter, getChildAt, getChildBefore, getChildCount, getDepth, getFirstChild, getFirstLeaf, getIndex, getLastChild, getLastLeaf, getLeafCount, getLevel, getNextLeaf, getNextNode, getNextSibling, getParent, getPath, getPathToRoot, getPreviousLeaf, getPreviousNode, getPreviousSibling, getRoot, getSharedAncestor, getSiblingCount, getUserObject, getUserObjectPath, insert, isLeaf, isNodeAncestor, isNodeChild, isNodeDescendant, isNodeRelated, isNodeSibling, isRoot, pathFromAncestorEnumeration, postorderEnumeration, preorderEnumeration, remove, remove, removeAllChildren, removeFromParent, setAllowsChildren, setParent, setUserObject, toString`

### Methods inherited from class Object

`equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Methods inherited from interface JSVTreeNode

`children, getChildCount, getPath, isLeaf`

## Field Details

### panelNode

public PanelNode panelNode

### index

public int index

## Constructor Details

### AwtTreeNode

public AwtTreeNode(String text, PanelNode panelNode)

## Method Details

### getPanelNode

public PanelNode getPanelNode()

Specified by:
  `getPanelNode` in interface `JSVTreeNode`

### getIndex

public int getIndex()

Specified by:
  `getIndex` in interface `JSVTreeNode`

### setIndex

public void setIndex(int index)

Specified by:
  `setIndex` in interface `JSVTreeNode`